FIX: Some leftovers + csit_sut image sync 18/23818/1
authorPeter Mikus <pmikus@cisco.com>
Thu, 5 Dec 2019 16:06:40 +0000 (16:06 +0000)
committerPeter Mikus <pmikus@cisco.com>
Thu, 5 Dec 2019 16:06:40 +0000 (16:06 +0000)
Signed-off-by: Peter Mikus <pmikus@cisco.com>
Change-Id: I9b47f9a31c11f155ba5b4676ccf0fc4c413a3942

resources/libraries/bash/function/common.sh
resources/tools/disk-image-builder/csit-sut/Dockerfile

index 3a7a0fb..8665913 100644 (file)
@@ -117,7 +117,7 @@ function activate_virtualenv () {
         die "Virtualenv package install failed."
     }
     virtualenv -p $(which python3) "${env_dir}" || {
-        die "Virtualenv creation for $(which python) failed."
+        die "Virtualenv creation for $(which python3) failed."
     }
     set +u
     source "${env_dir}/bin/activate" || die "Virtualenv activation failed."
@@ -565,7 +565,7 @@ function reserve_and_cleanup_testbed () {
             set +e
             scrpt="${PYTHON_SCRIPTS_DIR}/topo_reservation.py"
             opts=("-t" "${topo}" "-r" "${BUILD_TAG:-Unknown}")
-            python "${scrpt}" "${opts[@]}"
+            python3 "${scrpt}" "${opts[@]}"
             result="$?"
             set -e
             if [[ "${result}" == "0" ]]; then
@@ -637,7 +637,6 @@ function run_pybot () {
 
     pushd "${CSIT_DIR}" || die "Change directory operation failed."
     set +e
-    python -V
     robot "${all_options[@]}" "${GENERATED_DIR}/tests/"
     PYBOT_EXIT_STATUS="$?"
     set -e
@@ -1029,7 +1028,7 @@ function untrap_and_unreserve_testbed () {
         warn "Testbed looks unreserved already. Trap removal failed before?"
     else
         ansible_hosts "cleanup" || true
-        python "${PYTHON_SCRIPTS_DIR}/topo_reservation.py" -c -t "${wt}" || {
+        python3 "${PYTHON_SCRIPTS_DIR}/topo_reservation.py" -c -t "${wt}" || {
             die "${1:-FAILED TO UNRESERVE, FIX MANUALLY.}" 2
         }
         WORKING_TOPOLOGY=""
index 9457201..ba212dc 100644 (file)
@@ -48,8 +48,10 @@ RUN apt-get -q update \
         dkms \
         gfortran \
         libblas-dev \
+        libffi-dev \
         liblapack-dev \
         libpcap-dev \
+        libssl-dev \
         python-all \
         python-apt \
         python-cffi \